Quassel IRC - Bug #921

messages with tabulators are not displayed correctly
02/26/2010 05:34 PM - Toni

Status: Feedback Start date: 02/26/2010
Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Quassel GUI (KDE) Estimated time: 0.00 hour
Target version:

Version: 0.5.0 0S: Linux
Description

When | or someone else posts messages with tabulators, quassel does not output the whole text. In the worst case | can only see an
empty line.

| attached a screen shot where you can see the original input at the bottom and what quassel actually shows in the chat log above.
The tabulators are distributed as follows:

00000 11111 22222 33333 44444 55555 66666 77777 88888 99999

<tab> 00000 11111 22222 33333 44444 55555 66666 77777 88888 99999

<tab> <tab> 00000 11111 22222 33333 44444 55555 66666 77777 88888 99999

<tab> <tab> <tab> 00000 11111 22222 33333 44444 55555 66666 77777 88888 99999

<tab> <tab> <tab> <tab> 00000 11111 22222 33333 44444 55555 66666 77777 88888 99999

<tab> <tab> <tab> <tab> <tab> 00000 11111 22222 33333 44444 55555 66666 77777 88888 99999

00000 <tab> 11111 <tab> 22222 <tab> 33333 <tab> 44444 <tab> 55555 <tab> 66666 <tab> 77777 <tab> 88
888 <tab> 99999

If the window is smaller, line breaks occur too early and still the end of the text is cut.
| think this problem occurs since | use KDE 4.4.0.
My system:

® Linux udo 2.6.31-gentoo-r6 #1 SMP PREEMPT Fri Dec 4 19:29:31 CET 2009 x86_64 Intel(R) Core(TM)2 Duo CPU E6750 @
2.66GHz Genuinelntel GNU/Linux
e Qt4.6.2
¢ KDE Plattform-Version 4.4.00 (KDE 4.4.0)
¢ Quassel IRC
o Version: v0.5.2 (dist-42d7cf2)
o Protokollversion: 10
o Kompiliert: Feb 14 2010 00:16:17
o monolithic build
e gentoo Use flags for net-irc/quassel: (X) (dbus) (-debug) (kde) (monolithic) (oxygen) (phonon) (-postgres) (server) (ssl) (webkit)
linguas: (-cs) (-da) (de) (-fi) (-fr) (-hu) (-it) (-nb_NO) (-ru) (-sl) (-tr) Build Options: -trace

History

#1 - 03/03/2010 12:05 AM - Toni

| forgot to mention that copy&pasting the chat log still works. If | select a line with invisible text and copy it, the invisible part is also copied.

#2 - 03/03/2010 07:15 PM - johu
- Priority changed from High to Normal

#3 - 03/09/2010 08:03 PM - Sputnick
- Status changed from New to Assigned
- Assignee set to Sputnick

- Target version set to 0.6.0

#4 - 04/23/2010 03:11 AM - johu

- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

see eab56187

#5 - 04/26/2010 11:31 PM - Toni
- File screenshot.png added

| think the bug tracker is missing a bug status for “workaround”. | do not think the bug is really resolved. | noticed the following problems:

e Tabulators in the chat log are constantly replaced by 8 spaces. This is not the idea of tabulators since they are used to align text in columns. The
screenshot shows the correct behavior in the input box and the wrong behavior in the chat log.

e Consecutive white spaces (including tabs) are replaced by one space in the input history, which is simply not necessary and inconsistent with the
behavior of the chat log. Preceding (and sometimes also traling) spaces are removed completely.

I’'m not sure if | should open new bug reports for these problems — | will do if you tell me so.
| used quassel version 0.6.1.
#6 - 05/25/2010 09:18 AM - flamingspinach

- Status changed from Resolved to Feedback

- Target version deleted (0.6.0)

| think this can be "fixed" by storing tabs internally as \t, or something like %T if really necessary, and converting them on the fly for display. Instead of
adding 8 spaces, one could pad to the nearest multiple of 8, probably. The input box currently accepts tab characters, anyway (typed as shift+tab,
though personally | think that should be reserved for tabbing through the interface's tab stops, as in most applications).

Files
screenshot.png 23.5 KB 02/26/2010 Toni
screenshot.png 3.12 KB 04/26/2010 Toni
